> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete multiple time-entries

> Delete one or several time-entries. Deletion is irrevocable.

The "id" field of each time-entry must be sent and correspond to existing time-entries.

A single request can delete time-entries for several different owners.

It actually doest not delete entirely the object, but rather sets the "archivedAt" field to the current DateTime.

Read more about the [time-entry object](/api-reference/legacy/timmi-timesheet/time-entries/time-entry) and any validation error that you might encounter when using this API.

There are different ways to update time-entries. Please see [this guide](/api-reference/legacy/timmi-timesheet/guides/update-time-entries) on how to update `time-entries` the right way depending on your use case.



## OpenAPI

````yaml /openapi-specs/timmi-timesheet-v3.yaml delete /api/v3/timeentries
openapi: 3.1.0
info:
  title: Lucca Timesheet API
  version: '1.0'
  description: |
    Welcome on the documentation for the Lucca Timesheet API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: TimeEntries
    description: time-entries are the actual working hours observed by a user.
  - name: Timesheets
    description: Collection of time-entries for a User over a week / month.
  - name: Activities
    description: Time-entries referencing axis-sections to describe what the user has done.
  - name: Attendance
    description: Time-entries indicating working hours.
  - name: Workflow
    description: All actions regarding the approval process of timesheets.
  - name: Reports
    description: Reporting features of Lucca Timesheet.
paths:
  /api/v3/timeentries:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    delete:
      tags:
        - TimeEntries
      summary: Delete multiple time-entries
      description: >-
        Delete one or several time-entries. Deletion is irrevocable.


        The "id" field of each time-entry must be sent and correspond to
        existing time-entries.


        A single request can delete time-entries for several different owners.


        It actually doest not delete entirely the object, but rather sets the
        "archivedAt" field to the current DateTime.


        Read more about the [time-entry
        object](/api-reference/legacy/timmi-timesheet/time-entries/time-entry)
        and any validation error that you might encounter when using this API.


        There are different ways to update time-entries. Please see [this
        guide](/api-reference/legacy/timmi-timesheet/guides/update-time-entries)
        on how to update `time-entries` the right way depending on your use
        case.
      operationId: delete-api-v3-timeentries
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: integer
                    minimum: 0
                    description: Unique identifiers of the time-entries to delete.
                required:
                  - id
            examples:
              Example 1:
                value:
                  - id: 552586
      responses:
        '200':
          description: OK
        '400':
          $ref: '#/components/responses/ResponseProblem'
        '401':
          $ref: '#/components/responses/ResponseProblem'
        '403':
          $ref: '#/components/responses/ResponseProblem'
        '404':
          $ref: '#/components/responses/ResponseProblem'
        '500':
          $ref: '#/components/responses/ResponseProblem'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  responses:
    ResponseProblem:
      description: Problem
      content:
        application/json:
          schema:
            type: object
            properties:
              Status:
                type: integer
                description: HTTP status code.
                example: 401
              Message:
                type: string
                description: Human readable error message.
                example: Unauthorized

````